- Qt 6.11
- Qt WebEngine
- QML Types
- registerProtocolHandlerRequest
- Qt 6.11.1 Reference Documentation

# registerProtocolHandlerRequest QML Value Type

The registerProtocolHandlerRequest type enables accepting or rejecting requests from the registerProtocolHandler API. More...

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.7

## Properties

- origin : url
- scheme : string

## Methods

- void accept()
- void reject()

## Detailed Description

See also WebEngineView::registerProtocolHandlerRequested().

## Property Documentation

### origin : url

The URL template for the protocol handler.

This is the second parameter from the registerProtocolHandler call.

### scheme : string

The URL scheme for the protocol handler.

This is the first parameter from the registerProtocolHandler call.

## Method Documentation

### void accept()

Accepts the request.

Subsequent calls to accept() and reject() are ignored.

### void reject()

Accepts the request.

Subsequent calls to accept() and reject() are ignored.